## com.icl.saxon.charcode
Class CharacterSetFactory

    java.lang.Object
      com.icl.saxon.charcode.CharacterSetFactory

public class CharacterSetFactory
extends java.lang.Object

This class creates a CharacterSet object for a given named encoding.

Constructor Summary
`CharacterSetFactory()`

Method Summary
`static CharacterSet` `getCharacterSet(java.util.Properties details)` Make a CharacterSet appropriate to the encoding
`static CharacterSet` `makeCharacterSet(java.lang.String encoding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharacterSetFactory

    public CharacterSetFactory()

Method Detail

### getCharacterSet

    public static CharacterSet getCharacterSet(java.util.Properties details)

  Make a CharacterSet appropriate to the encoding

### makeCharacterSet

    public static CharacterSet makeCharacterSet(java.lang.String encoding)